import request from '@/utils/request'
import Qs from 'qs'

/**
* 1. 列表查询
* 2. 查询详细信息
* 3. 新增
* 4. 修改
* 5. 逻辑删除
* 6. 导出
*
*/

export function listOutcomeWmsJbapplyTemp(query) {
  return request({
    url: '/outcomewmsjbapplytemp/list',
    method: 'get',
    params: query
  })
}

export function getOutcomeWmsJbapplyTemp(businessId) {
  return request({
    url: '/outcomewmsjbapplytemp/detail/' + businessId,
    method: 'get'
  })
}

export function addOutcomeWmsJbapplyTemp(data) {
  data = Qs.stringify(data)
  return request({
    url: '/outcomewmsjbapplytemp/add',
    method: 'post',
    data: data
  })
}

export function updateOutcomeWmsJbapplyTemp(data) {
  const businessId = data.businessId
  data = Qs.stringify(data)
  return request({
    url: '/outcomewmsjbapplytemp/update/' + businessId,
    method: 'put',
    data
  })
}

export function delOutcomeWmsJbapplyTemp(businessId) {
  return request({
    url: '/outcomewmsjbapplytemp/deleteLogical/' + businessId,
    method: 'delete'
  })
}

export function exportOutcomeWmsJbapplyTemp(query) {
  return request({
    url: '/outcomewmsjbapplytemp/export',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
